Package org.eclipse.cdt.core.browser

# Interface ITypeInfo

All Known Implementing Classes:
  `IndexTypeInfo`, `TypeInfo`, `UnknownTypeInfo`

public interface ITypeInfo

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int[]`
`KNOWN_TYPES`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDerivedReference(ITypeReference location)`
Deprecated.
`void`
`addReference(ITypeReference location)`
Deprecated.
`boolean`
`canSubstituteFor(ITypeInfo info)`
Deprecated.
`boolean`
`encloses(ITypeInfo info)`
Deprecated.
`boolean`
`exists()`
Deprecated.
`int`
`getCElementType()`
Returns the CElement type.
`ITypeReference[]`
`getDerivedReferences()`
Deprecated.
`ITypeInfo[]`
`getEnclosedTypes()`
Deprecated.
`ITypeInfo[]`
`getEnclosedTypes(int[] kinds)`
Deprecated.
`ITypeInfo`
`getEnclosingNamespace(boolean includeGlobalNamespace)`
Deprecated.
`ICProject`
`getEnclosingProject()`
Returns the enclosing project.
`ITypeInfo`
`getEnclosingType()`
Deprecated.
`ITypeInfo`
`getEnclosingType(int[] kinds)`
Deprecated.
`String`
`getName()`
Returns the type name.
`IQualifiedTypeName`
`getQualifiedTypeName()`
Returns the qualified type name.
`ITypeReference[]`
`getReferences()`
Returns the originating locations where this type was declared.
`ITypeReference`
`getResolvedReference()`
Returns the real location where type was declared.
`ITypeInfo`
`getRootNamespace(boolean includeGlobalNamespace)`
Deprecated.
`ITypeInfo[]`
`getSubTypes()`
Deprecated.
`ASTAccessVisibility`
`getSuperTypeAccess(ITypeInfo subType)`
Deprecated.
`ITypeInfo[]`
`getSuperTypes()`
Deprecated.
`boolean`
`hasEnclosedTypes()`
Deprecated.
`boolean`
`hasSubTypes()`
Deprecated.
`boolean`
`hasSuperTypes()`
Deprecated.
`boolean`
`isClass()`
Deprecated.
`boolean`
`isEnclosed(ITypeInfo info)`
Deprecated.
`boolean`
`isEnclosed(ITypeSearchScope scope)`
Deprecated.
`boolean`
`isEnclosedType()`
Deprecated.
`boolean`
`isEnclosingType()`
Deprecated.
`boolean`
`isReferenced(ITypeSearchScope scope)`
Deprecated.
`boolean`
`isUndefinedType()`
Deprecated.
`void`
`setCElementType(int type)`
Deprecated.

## Field Details

### KNOWN_TYPES

static final int[] KNOWN_TYPES

## Method Details

### getCElementType

int getCElementType()
Returns the CElement type.

Returns:
  ICElement.C_NAMESPACE, C_CLASS, C_STRUCT, C_UNION, C_ENUMERATION, or C_TYPEDEF, or zero if unknown type.

### getName

String getName()
Returns the type name.

### getQualifiedTypeName

IQualifiedTypeName getQualifiedTypeName()
Returns the qualified type name.

### getReferences

ITypeReference[] getReferences()
Returns the originating locations where this type was declared.

Returns:
  all known source references, or an empty array if none found.

### getResolvedReference

ITypeReference getResolvedReference()
Returns the real location where type was declared.

Returns:
  the parsed source reference (with offset and length), or `null` if not found.

### getEnclosingProject

ICProject getEnclosingProject()
Returns the enclosing project.

### setCElementType

@Deprecated void setCElementType(int type)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### exists

@Deprecated boolean exists()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### isUndefinedType

@Deprecated boolean isUndefinedType()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### isEnclosedType

@Deprecated boolean isEnclosedType()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getEnclosingType

@Deprecated ITypeInfo getEnclosingType()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getEnclosingNamespace

@Deprecated ITypeInfo getEnclosingNamespace(boolean includeGlobalNamespace)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getEnclosingType

@Deprecated ITypeInfo getEnclosingType(int[] kinds)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getRootNamespace

@Deprecated ITypeInfo getRootNamespace(boolean includeGlobalNamespace)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### isEnclosingType

@Deprecated boolean isEnclosingType()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### hasEnclosedTypes

@Deprecated boolean hasEnclosedTypes()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### encloses

@Deprecated boolean encloses(ITypeInfo info)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### isEnclosed

@Deprecated boolean isEnclosed(ITypeInfo info)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getEnclosedTypes

@Deprecated ITypeInfo[] getEnclosedTypes()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getEnclosedTypes

@Deprecated ITypeInfo[] getEnclosedTypes(int[] kinds)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### isEnclosed

@Deprecated boolean isEnclosed(ITypeSearchScope scope)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### addReference

@Deprecated void addReference(ITypeReference location)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### canSubstituteFor

@Deprecated boolean canSubstituteFor(ITypeInfo info)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### hasSubTypes

@Deprecated boolean hasSubTypes()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### hasSuperTypes

@Deprecated boolean hasSuperTypes()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getSubTypes

@Deprecated ITypeInfo[] getSubTypes()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getSuperTypes

@Deprecated ITypeInfo[] getSuperTypes()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getSuperTypeAccess

@Deprecated ASTAccessVisibility getSuperTypeAccess(ITypeInfo subType)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### addDerivedReference

@Deprecated void addDerivedReference(ITypeReference location)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### getDerivedReferences

@Deprecated ITypeReference[] getDerivedReferences()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### isClass

@Deprecated boolean isClass()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### isReferenced

@Deprecated boolean isReferenced(ITypeSearchScope scope)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.